Summary: KDE2 dock application for ISDN
Name: kisdndock
Version: 1.0.1
Release: 1
Source: http://people.redhat.com/twoerner/%{name}-%{version}.tar.bz2
Requires: kdebase >= 3.0.0, kdelibs >= 3.0.0, isdn4k-utils, redhat-config-network
Group: Applications/System
URL: http://people.redhat.com/twoerner
BuildRoot: %{_tmppath}/%{name}-buildroot
License: GPL
Prefix: /usr

%description
KDE2 dock application for managing ISDN connections.

%prep
%setup -q
test -f Makefile.cvs && make -f Makefile.cvs

CFLAGS="$RPM_OPT_FLAGS -DNDEBUG" CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG" \
./configure  --prefix=%{prefix} --sysconfdir=%{_sysconfdir}
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT transform=

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(755,root,root)%{prefix}/bin/kisdndock
%{prefix}/share/icons/*.png
%{prefix}/share/icons/hicolor/16x16/apps/*
%{prefix}/share/applnk/Internet/*
%{prefix}/share/applnk/Settings/Network/*
#%{prefix}/locale/*/LC_MESSAGES/*.mo

%changelog
* Wed Mar 27 2002 Than Ngo <than@redhat.com> 1.0.1-1
- fix to build against kde 3

* Thu Aug 30 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.0.0:
  - Remove KDE 1.x cruft
  - Add kcm_kisdndock
  - Make sure KISDNDock is started if we have ISDN

* Sun Aug 19 2001 Than Ngo <than@redhat.com>
- update to 0.9.1, it works with redhat-config-network

* Wed Dec 12 2000 Thomas Woerner <twoerner@redhat.de>
- KDE2 version (v0.9.0).

* Fri Aug 11 2000 Thomas Woerner <twoerner@redhat.de>
- initial RPM (v0.8.0).
